### Method

# Gio LoadableIcon load

#### Declaration [src]

    GInputStream*
    g_loadable_icon_load (
      GLoadableIcon* icon,
      int size,
      char** type,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Loads a loadable icon. For the asynchronous version of this function, see g_loadable_icon_load_async().

#### Parameters

`size`

  Type: `int`

  An integer.

`type`

  Type: `char**`

  A location to store the type of the loaded icon, `NULL` to ignore.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GInputStream`

A `GInputStream` to read the icon from.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.